
#ifndef __BEWEGUNG_CONFIG_H
#define __BEWEGUNG_CONFIG_H

#define MAXMACLEN 17 // XX:XX:XX:XX:XX:XX

struct t_motionValues
{
  bool doPressOK;
  bool doPressMenu;
  bool doPressBack;

  bool doPressUp;
  bool doPressDown;
  bool doPressRight;
  bool doPressLeft;

  bool doPressRed;
  bool doPressGreen;
  bool doPressYellow;
  bool doPressBlue;

  bool doPressVolumeUp;
  bool doPressVolumeDown;
};

struct cBewegungConfig
{
public:
  cBewegungConfig(void);
  int sleepTime;
  int hidemenu;
  int enableConnect;
  int tiltUpDown;
  int tiltLeftRight;
  char macAddress[MAXMACLEN+1];
};

extern cBewegungConfig bewegungConfig;

#endif
